//+=============================================================================
//
// file :         PLCaccessStateMachine.cpp
//
// description :  C++ source for the PLCaccess and its alowed. 
//                method for commands and attributes
//
// project :      TANGO Device Server
//
// $Author: graziano $
//
// $Revision: 1.12 $
//
// $Log: PLCaccessStateMachine.cpp,v $
// Revision 1.12  2017-08-21 12:54:37  graziano
// added TopUp_GeV, TopUp_Min_I and booster_board_disabled_xxx attributes
//
// Revision 1.11  2016-01-15 11:21:02  graziano
// added db state and error
//
// Revision 1.10  2010-05-17 08:08:16  zambonl
// ndd
//
// Revision 1.9  2009/11/25 15:41:45  sara
// added reset topup error command
//
// Revision 1.8  2009/11/18 16:53:36  sara
// topup version
//
// Revision 1.7  2008/07/01 13:39:26  sara
// added PLC clock syncronizing command
//
// Revision 1.6  2008/03/17 14:29:56  sara
// Includes access logging and a new attribute: Ramping_condition
//
// Revision 1.5  2007/11/22 16:49:14  sara
// new attributes:Gun_trigger_on, Gun_trigger_interlock_abi, Gun_trigger_access_abi
// enabled database log
//
// Revision 1.4  2007/11/05 10:37:33  sara
// added commands gun_on and gun_off, modified and added signals
//
// Revision 1.3  2007/10/05 09:14:36  sara
// added attribute "version"
//
// Revision 1.2  2007/08/13 10:26:53  sara
// timing thread for receive from PLC timeout
//
// Revision 1.1.1.1  2007/07/02 09:29:34  sara
// Initial release
//
//
// copyleft :     European Synchrotron Radiation Facility
//                BP 220, Grenoble 38043
//                FRANCE
//
//-=============================================================================
//
//  		This file is generated by POGO
//	(Program Obviously used to Generate tango Object)
//
//         (c) - Software Engineering Group - ESRF
//=============================================================================

#include <tango.h>
#include <PLCaccess.h>
#include <PLCaccessClass.h>

/*====================================================================
 *	This file contains the methods to allow commands and attributes
 * read or write execution.
 *
 * If you wand to add your own code, add it between 
 * the "End/Re-Start of Generated Code" comments.
 *
 * If you want, you can also add your own methods.
 *====================================================================
 */

namespace PLCaccess_ns
{

//=================================================
//		Attributes Allowed Methods
//=================================================

//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Posto_bo_allowed
// 
// description : 	Read/Write allowed for Posto_bo attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Posto_bo_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Badge_bo_allowed
// 
// description : 	Read/Write allowed for Badge_bo attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Badge_bo_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Posto_inj_allowed
// 
// description : 	Read/Write allowed for Posto_inj attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Posto_inj_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Badge_inj_allowed
// 
// description : 	Read/Write allowed for Badge_inj attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Badge_inj_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Badge_ack_bo_allowed
// 
// description : 	Read/Write allowed for Badge_ack_bo attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Badge_ack_bo_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Badge_ack_inj_allowed
// 
// description : 	Read/Write allowed for Badge_ack_inj attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Badge_ack_inj_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Panel_bo_allowed
// 
// description : 	Read/Write allowed for Panel_bo attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Panel_bo_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Panel_inj_allowed
// 
// description : 	Read/Write allowed for Panel_inj attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Panel_inj_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Dr_in_bo_stat_allowed
// 
// description : 	Read/Write allowed for Dr_in_bo_stat attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Dr_in_bo_stat_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Dr_in_bo_proc_allowed
// 
// description : 	Read/Write allowed for Dr_in_bo_proc attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Dr_in_bo_proc_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Dr_in_inj_proc_allowed
// 
// description : 	Read/Write allowed for Dr_in_inj_proc attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Dr_in_inj_proc_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Dr_in_inj_stat_allowed
// 
// description : 	Read/Write allowed for Dr_in_inj_stat attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Dr_in_inj_stat_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Alarm_door_bo_allowed
// 
// description : 	Read/Write allowed for Alarm_door_bo attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Alarm_door_bo_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Alarm_door_inj_allowed
// 
// description : 	Read/Write allowed for Alarm_door_inj attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Alarm_door_inj_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Lock_bo_allowed
// 
// description : 	Read/Write allowed for Lock_bo attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Lock_bo_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Lock_inj_allowed
// 
// description : 	Read/Write allowed for Lock_inj attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Lock_inj_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Boost_stat_allowed
// 
// description : 	Read/Write allowed for Boost_stat attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Boost_stat_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Machine_stat_allowed
// 
// description : 	Read/Write allowed for Machine_stat attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Machine_stat_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Rf_stat_allowed
// 
// description : 	Read/Write allowed for Rf_stat attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Rf_stat_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Semaph_bo_allowed
// 
// description : 	Read/Write allowed for Semaph_bo attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Semaph_bo_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Semaph_inj_allowed
// 
// description : 	Read/Write allowed for Semaph_inj attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Semaph_inj_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Rf_enable_allowed
// 
// description : 	Read/Write allowed for Rf_enable attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Rf_enable_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Bo_top_up_allowed
// 
// description : 	Read/Write allowed for Bo_top_up attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Bo_top_up_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Abi_rf_allowed
// 
// description : 	Read/Write allowed for Abi_rf attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Abi_rf_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Ring_abi_allowed
// 
// description : 	Read/Write allowed for Ring_abi attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Ring_abi_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_DBState_allowed
// 
// description : 	Read/Write allowed for DBState attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_DBState_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_DBError_allowed
// 
// description : 	Read/Write allowed for DBError attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_DBError_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Min_I_TopUp_allowed
// 
// description : 	Read/Write allowed for Min_I_TopUp attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Min_I_TopUp_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Topup_GeV_allowed
// 
// description : 	Read/Write allowed for Topup_GeV attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Topup_GeV_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}

//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Booster_board_disabled_xxx_allowed
// 
// description : 	Read/Write allowed for Booster_board_disabled_xxx attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Booster_board_disabled_008_allowed(Tango::AttReqType type)
{
	return true;
}
bool PLCaccess::is_Booster_board_disabled_048_allowed(Tango::AttReqType type)
{
	return true;
}
bool PLCaccess::is_Booster_board_disabled_064_allowed(Tango::AttReqType type)
{
	return true;
}
bool PLCaccess::is_Booster_board_disabled_080_allowed(Tango::AttReqType type)
{
	return true;
}
bool PLCaccess::is_Booster_board_disabled_100_allowed(Tango::AttReqType type)
{
	return true;
}
bool PLCaccess::is_Booster_board_disabled_112_allowed(Tango::AttReqType type)
{
	return true;
}
bool PLCaccess::is_Booster_board_disabled_118_allowed(Tango::AttReqType type)
{
	return true;
}
bool PLCaccess::is_Booster_board_disabled_124_allowed(Tango::AttReqType type)
{
	return true;
}
bool PLCaccess::is_Booster_board_disabled_130_allowed(Tango::AttReqType type)
{
	return true;
}
bool PLCaccess::is_Booster_board_disabled_136_allowed(Tango::AttReqType type)
{
	return true;
}
bool PLCaccess::is_Booster_board_disabled_142_allowed(Tango::AttReqType type)
{
	return true;
}
bool PLCaccess::is_Booster_board_disabled_148_allowed(Tango::AttReqType type)
{
	return true;
}
bool PLCaccess::is_Booster_board_disabled_223_allowed(Tango::AttReqType type)
{
	return true;
}
bool PLCaccess::is_Booster_board_disabled_229_allowed(Tango::AttReqType type)
{
	return true;
}
bool PLCaccess::is_Booster_board_disabled_235_allowed(Tango::AttReqType type)
{
	return true;
}
bool PLCaccess::is_Booster_board_disabled_247_allowed(Tango::AttReqType type)
{
	return true;
}
bool PLCaccess::is_Booster_board_disabled_253_allowed(Tango::AttReqType type)
{
	return true;
}
bool PLCaccess::is_Booster_board_disabled_259_allowed(Tango::AttReqType type)
{
	return true;
}
bool PLCaccess::is_Booster_board_disabled_265_allowed(Tango::AttReqType type)
{
	return true;
}
bool PLCaccess::is_Booster_board_disabled_278_allowed(Tango::AttReqType type)
{
	return true;
}
bool PLCaccess::is_Booster_board_disabled_291_allowed(Tango::AttReqType type)
{
	return true;
}
bool PLCaccess::is_Booster_board_disabled_304_allowed(Tango::AttReqType type)
{
	return true;
}
bool PLCaccess::is_Booster_board_disabled_310_allowed(Tango::AttReqType type)
{
	return true;
}
bool PLCaccess::is_Booster_board_disabled_316_allowed(Tango::AttReqType type)
{
	return true;
}
bool PLCaccess::is_Booster_board_disabled_321_allowed(Tango::AttReqType type)
{
	return true;
}
bool PLCaccess::is_Booster_board_disabled_333_allowed(Tango::AttReqType type)
{
	return true;
}
bool PLCaccess::is_Booster_board_disabled_339_allowed(Tango::AttReqType type)
{
	return true;
}
bool PLCaccess::is_Booster_board_disabled_345_allowed(Tango::AttReqType type)
{
	return true;
}

//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_BstB_13_1_allowed
// 
// description : 	Read/Write allowed for BstB_13_1 attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_BstB_13_1_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_BstBts_1_1_allowed
// 
// description : 	Read/Write allowed for BstBts_1_1 attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_BstBts_1_1_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_BstBts_1_2_allowed
// 
// description : 	Read/Write allowed for BstBts_1_2 attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_BstBts_1_2_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_BstBts_1_3_allowed
// 
// description : 	Read/Write allowed for BstBts_1_3 attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_BstBts_1_3_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Doors_1_allowed
// 
// description : 	Read/Write allowed for Doors_1 attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Doors_1_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Doors_2_allowed
// 
// description : 	Read/Write allowed for Doors_2 attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Doors_2_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Eme_buttons_allowed
// 
// description : 	Read/Write allowed for Eme_buttons attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Eme_buttons_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Lamp_allowed
// 
// description : 	Read/Write allowed for Lamp attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Lamp_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Gamma_monitor_allowed
// 
// description : 	Read/Write allowed for Gamma_monitor attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Gamma_monitor_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Keys_allowed
// 
// description : 	Read/Write allowed for Keys attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Keys_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Sir_buz_allowed
// 
// description : 	Read/Write allowed for Sir_buz attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Sir_buz_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Part_bstB_13_1_allowed
// 
// description : 	Read/Write allowed for Part_bstB_13_1 attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Part_bstB_13_1_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Part_bstB_1_1_allowed
// 
// description : 	Read/Write allowed for Part_bstB_1_1 attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Part_bstB_1_1_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Part_bstB_1_2_allowed
// 
// description : 	Read/Write allowed for Part_bstB_1_2 attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Part_bstB_1_2_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Part_bstB_1_3_allowed
// 
// description : 	Read/Write allowed for Part_bstB_1_3 attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Part_bstB_1_3_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Ronda_all_allowed
// 
// description : 	Read/Write allowed for Ronda_all attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Ronda_all_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Ronda_proc_allowed
// 
// description : 	Read/Write allowed for Ronda_proc attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Ronda_proc_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Ronda_alm_allowed
// 
// description : 	Read/Write allowed for Ronda_alm attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Ronda_alm_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Ronda_rb_allowed
// 
// description : 	Read/Write allowed for Ronda_rb attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Ronda_rb_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Ronda_rbl_allowed
// 
// description : 	Read/Write allowed for Ronda_rbl attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Ronda_rbl_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Ronda_barr_bst_allowed
// 
// description : 	Read/Write allowed for Ronda_barr_bst attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Ronda_barr_bst_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Old_Doors_1_allowed
// 
// description : 	Read/Write allowed for Old_Doors_1 attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Old_Doors_1_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Old_Doors_2_allowed
// 
// description : 	Read/Write allowed for Old_Doors_2 attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Old_Doors_2_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Plc_status_allowed
// 
// description : 	Read/Write allowed for Plc_status attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Plc_status_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Plc_timestamp_allowed
// 
// description : 	Read/Write allowed for Plc_timestamp attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Plc_timestamp_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Timers_allowed
// 
// description : 	Read/Write allowed for Timers attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Timers_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Msg_est_bo_allowed
// 
// description : 	Read/Write allowed for Msg_est_bo attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Msg_est_bo_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Msg_int_bo_allowed
// 
// description : 	Read/Write allowed for Msg_int_bo attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Msg_int_bo_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Msg_est_inj_allowed
// 
// description : 	Read/Write allowed for Msg_est_inj attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Msg_est_inj_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Msg_int_inj_allowed
// 
// description : 	Read/Write allowed for Msg_int_inj attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Msg_int_inj_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Release_key_bo_allowed
// 
// description : 	Read/Write allowed for Release_key_bo attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Release_key_bo_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Release_key_inj_allowed
// 
// description : 	Read/Write allowed for Release_key_inj attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Release_key_inj_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Rf_booster_allowed
// 
// description : 	Read/Write allowed for Rf_booster attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Rf_booster_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_BstBts_2_1_allowed
// 
// description : 	Read/Write allowed for BstBts_2_1 attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_BstBts_2_1_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Puls_rda_np_allowed
// 
// description : 	Read/Write allowed for Puls_rda_np attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Puls_rda_np_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Ronda_pt_allowed
// 
// description : 	Read/Write allowed for Ronda_pt attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Ronda_pt_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Doors_all_allowed
// 
// description : 	Read/Write allowed for Doors_all attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Doors_all_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Old_doors_all_allowed
// 
// description : 	Read/Write allowed for Old_doors_all attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Old_doors_all_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Ronda_roof_allowed
// 
// description : 	Read/Write allowed for Ronda_roof attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Ronda_roof_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Ronda_int_allowed
// 
// description : 	Read/Write allowed for Ronda_int attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Ronda_int_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Ronda_dx_allowed
// 
// description : 	Read/Write allowed for Ronda_dx attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Ronda_dx_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Ronda_sx_allowed
// 
// description : 	Read/Write allowed for Ronda_sx attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Ronda_sx_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Old_eme_buttons_allowed
// 
// description : 	Read/Write allowed for Old_eme_buttons attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Old_eme_buttons_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Ronda_names_allowed
// 
// description : 	Read/Write allowed for Ronda_names attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Ronda_names_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Ctrl_names_allowed
// 
// description : 	Read/Write allowed for Ctrl_names attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Ctrl_names_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Resettable_boards_allowed
// 
// description : 	Read/Write allowed for Resettable_boards attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Resettable_boards_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Disabled_boards_allowed
// 
// description : 	Read/Write allowed for Disabled_boards attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Disabled_boards_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Ronda_req_cause_allowed
// 
// description : 	Read/Write allowed for Ronda_req_cause attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Ronda_req_cause_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Ronda_bo_fail_cause_allowed
// 
// description : 	Read/Write allowed for Ronda_bo_fail_cause attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Ronda_bo_fail_cause_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Ronda_int_fail_cause_allowed
// 
// description : 	Read/Write allowed for Ronda_int_fail_cause attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Ronda_int_fail_cause_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Ronda_roof_fail_cause_allowed
// 
// description : 	Read/Write allowed for Ronda_roof_fail_cause attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Ronda_roof_fail_cause_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Ronda_dx_fail_cause_allowed
// 
// description : 	Read/Write allowed for Ronda_dx_fail_cause attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Ronda_dx_fail_cause_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Ronda_sx_fail_cause_allowed
// 
// description : 	Read/Write allowed for Ronda_sx_fail_cause attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Ronda_sx_fail_cause_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Memo_barr_allowed
// 
// description : 	Read/Write allowed for Memo_barr attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Memo_barr_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Doors_ronda_all_allowed
// 
// description : 	Read/Write allowed for Doors_ronda_all attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Doors_ronda_all_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Ronda_fail_dr_allowed
// 
// description : 	Read/Write allowed for Ronda_fail_dr attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Ronda_fail_dr_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Version_allowed
// 
// description : 	Read/Write allowed for Version attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Version_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Gun_trigger_on_allowed
// 
// description : 	Read/Write allowed for Gun_trigger_on attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Gun_trigger_on_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Gun_trigger_interlock_abi_allowed
// 
// description : 	Read/Write allowed for Gun_trigger_interlock_abi attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Gun_trigger_interlock_abi_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Gun_trigger_access_abi_allowed
// 
// description : 	Read/Write allowed for Gun_trigger_access_abi attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Gun_trigger_access_abi_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Part_bstB_2_1_allowed
// 
// description : 	Read/Write allowed for Part_bstB_2_1 attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Part_bstB_2_1_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Ramping_condition_allowed
// 
// description : 	Read/Write allowed for Ramping_condition attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Ramping_condition_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_On_topup_allowed
// 
// description : 	Read/Write allowed for On_topup attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_On_topup_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Shot_number_allowed
// 
// description : 	Read/Write allowed for Shot_number attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Shot_number_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Curr_shot_allowed
// 
// description : 	Read/Write allowed for Curr_shot attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Curr_shot_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_B_current_allowed
// 
// description : 	Read/Write allowed for B_current attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_B_current_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_SR_current_allowed
// 
// description : 	Read/Write allowed for SR_current attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_SR_current_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_B_SR_current_allowed
// 
// description : 	Read/Write allowed for B_SR_current attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_B_SR_current_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_I0_ST_current_allowed
// 
// description : 	Read/Write allowed for I0_ST_current attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_I0_ST_current_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_INJ_ST_current_allowed
// 
// description : 	Read/Write allowed for INJ_ST_current attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_INJ_ST_current_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_ACCU_ST_current_allowed
// 
// description : 	Read/Write allowed for ACCU_ST_current attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_ACCU_ST_current_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_LOST_ST_current_allowed
// 
// description : 	Read/Write allowed for LOST_ST_current attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_LOST_ST_current_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Efficiency_allowed
// 
// description : 	Read/Write allowed for Efficiency attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Efficiency_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Check_topup_inj_allowed
// 
// description : 	Read/Write allowed for Check_topup_inj attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Check_topup_inj_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Check_topup_test_allowed
// 
// description : 	Read/Write allowed for Check_topup_test attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Check_topup_test_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Check_inj_sr_allowed
// 
// description : 	Read/Write allowed for Check_inj_sr attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Check_inj_sr_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Check_open_bst1_1_allowed
// 
// description : 	Read/Write allowed for Check_open_bst1_1 attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Check_open_bst1_1_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Check_open_bst1_2_allowed
// 
// description : 	Read/Write allowed for Check_open_bst1_2 attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Check_open_bst1_2_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Check_open_bst1_3_allowed
// 
// description : 	Read/Write allowed for Check_open_bst1_3 attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Check_open_bst1_3_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Check_guntr_abi_allowed
// 
// description : 	Read/Write allowed for Check_guntr_abi attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Check_guntr_abi_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_LOST_LT_current_allowed
// 
// description : 	Read/Write allowed for LOST_LT_current attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_LOST_LT_current_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Curr_lost_short_term_allowed
// 
// description : 	Read/Write allowed for Curr_lost_short_term attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Curr_lost_short_term_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Curr_lost_long_term_allowed
// 
// description : 	Read/Write allowed for Curr_lost_long_term attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Curr_lost_long_term_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Topup_err_allowed
// 
// description : 	Read/Write allowed for Topup_err attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Topup_err_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Max_long_time_allowed
// 
// description : 	Read/Write allowed for Max_long_time attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Max_long_time_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Max_short_time_allowed
// 
// description : 	Read/Write allowed for Max_short_time attribute.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Max_short_time_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}

//=================================================
//		Commands Allowed Methods
//=================================================

//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Open_bst_b13_1_allowed
// 
// description : 	Execution allowed for Open_bst_b13_1 command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Open_bst_b13_1_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Close_bst_b13_1_allowed
// 
// description : 	Execution allowed for Close_bst_b13_1 command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Close_bst_b13_1_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Open_bst_bts1_1_allowed
// 
// description : 	Execution allowed for Open_bst_bts1_1 command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Open_bst_bts1_1_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Close_bst_bts1_1_allowed
// 
// description : 	Execution allowed for Close_bst_bts1_1 command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Close_bst_bts1_1_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Open_bst_bts1_2_allowed
// 
// description : 	Execution allowed for Open_bst_bts1_2 command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Open_bst_bts1_2_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Close_bst_bts1_2_allowed
// 
// description : 	Execution allowed for Close_bst_bts1_2 command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Close_bst_bts1_2_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Open_bst_bts1_3_allowed
// 
// description : 	Execution allowed for Open_bst_bts1_3 command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Open_bst_bts1_3_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Close_bst_bts1_3_allowed
// 
// description : 	Execution allowed for Close_bst_bts1_3 command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Close_bst_bts1_3_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Reint_pasv_allowed
// 
// description : 	Execution allowed for Reint_pasv command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Reint_pasv_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Close_bst_bl_allowed
// 
// description : 	Execution allowed for Close_bst_bl command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Close_bst_bl_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Set_top_up_allowed
// 
// description : 	Execution allowed for Set_top_up command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Set_top_up_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Ack_eme_allowed
// 
// description : 	Execution allowed for Ack_eme command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Ack_eme_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Call_ronda_bo_allowed
// 
// description : 	Execution allowed for Call_ronda_bo command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Call_ronda_bo_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Start_ronda_bo_allowed
// 
// description : 	Execution allowed for Start_ronda_bo command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Start_ronda_bo_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_End_ronda_bo_allowed
// 
// description : 	Execution allowed for End_ronda_bo command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_End_ronda_bo_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Start_ronda_int_allowed
// 
// description : 	Execution allowed for Start_ronda_int command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Start_ronda_int_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_End_ronda_int_allowed
// 
// description : 	Execution allowed for End_ronda_int command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_End_ronda_int_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Start_ronda_dx_allowed
// 
// description : 	Execution allowed for Start_ronda_dx command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Start_ronda_dx_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_End_ronda_dx_allowed
// 
// description : 	Execution allowed for End_ronda_dx command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_End_ronda_dx_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Start_ronda_sx_allowed
// 
// description : 	Execution allowed for Start_ronda_sx command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Start_ronda_sx_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_End_ronda_sx_allowed
// 
// description : 	Execution allowed for End_ronda_sx command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_End_ronda_sx_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Start_ronda_roof_allowed
// 
// description : 	Execution allowed for Start_ronda_roof command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Start_ronda_roof_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_End_ronda_roof_allowed
// 
// description : 	Execution allowed for End_ronda_roof command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_End_ronda_roof_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Ripr_in_boost_allowed
// 
// description : 	Execution allowed for Ripr_in_boost command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Ripr_in_boost_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Ripr_in_inj_allowed
// 
// description : 	Execution allowed for Ripr_in_inj command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Ripr_in_inj_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Open_door_bo_allowed
// 
// description : 	Execution allowed for Open_door_bo command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Open_door_bo_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Open_door_inj_allowed
// 
// description : 	Execution allowed for Open_door_inj command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Open_door_inj_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Del_posto_bo_allowed
// 
// description : 	Execution allowed for Del_posto_bo command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Del_posto_bo_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Del_posto_inj_allowed
// 
// description : 	Execution allowed for Del_posto_inj command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Del_posto_inj_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Confirm_open_13_1_allowed
// 
// description : 	Execution allowed for Confirm_open_13_1 command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Confirm_open_13_1_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Confirm_close_13_1_allowed
// 
// description : 	Execution allowed for Confirm_close_13_1 command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Confirm_close_13_1_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Confirm_open_1_1_allowed
// 
// description : 	Execution allowed for Confirm_open_1_1 command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Confirm_open_1_1_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Confirm_close_1_1_allowed
// 
// description : 	Execution allowed for Confirm_close_1_1 command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Confirm_close_1_1_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Confirm_open_1_2_allowed
// 
// description : 	Execution allowed for Confirm_open_1_2 command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Confirm_open_1_2_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Confirm_close_1_2_allowed
// 
// description : 	Execution allowed for Confirm_close_1_2 command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Confirm_close_1_2_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Confirm_open_1_3_allowed
// 
// description : 	Execution allowed for Confirm_open_1_3 command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Confirm_open_1_3_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Confirm_close_1_3_allowed
// 
// description : 	Execution allowed for Confirm_close_1_3 command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Confirm_close_1_3_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Confirm_reint_pasv_allowed
// 
// description : 	Execution allowed for Confirm_reint_pasv command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Confirm_reint_pasv_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Confirm_close_bst_bl_allowed
// 
// description : 	Execution allowed for Confirm_close_bst_bl command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Confirm_close_bst_bl_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Confirm_set_topup_allowed
// 
// description : 	Execution allowed for Confirm_set_topup command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Confirm_set_topup_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Confirm_ack_eme_allowed
// 
// description : 	Execution allowed for Confirm_ack_eme command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Confirm_ack_eme_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Echo_db50_allowed
// 
// description : 	Execution allowed for Echo_db50 command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Echo_db50_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Echo_db51_allowed
// 
// description : 	Execution allowed for Echo_db51 command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Echo_db51_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Echo_db121_allowed
// 
// description : 	Execution allowed for Echo_db121 command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Echo_db121_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Echo_db122_allowed
// 
// description : 	Execution allowed for Echo_db122 command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Echo_db122_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Gun_on_allowed
// 
// description : 	Execution allowed for Gun_on command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Gun_on_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Gun_off_allowed
// 
// description : 	Execution allowed for Gun_off command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Gun_off_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Syncronize_allowed
// 
// description : 	Execution allowed for Syncronize command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Syncronize_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Rst_top_up_allowed
// 
// description : 	Execution allowed for Rst_top_up command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Rst_top_up_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PLCaccess::is_Err_topup_rst_allowed
// 
// description : 	Execution allowed for Err_topup_rst command.
//
//-----------------------------------------------------------------------------
bool PLCaccess::is_Err_topup_rst_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}

}	// namespace PLCaccess_ns
