/*
 * plcsrvthread.cpp
 *
 *	22.01.07 - SF: first release  
 *
 *
 */

#include "plcsrvthread.h"
#include <iomanip>	//used for debug dump of db
#include <stdio.h>

/* 
 *	plcsrvthread::run()
 *	Run  
 */		
void plcsrvthread::run(void *) 
{
	
	int pausemicro;
	
	pausemicro = 1000000;
	server_started=0;
	
	while (!t_PLCaccess->abortflag) { 
	
		if(server_started==0)
			Srv_Prepare(); 
		else
   		t_PLCaccess->set_state(Tango::FAULT);
		t_PLCaccess->set_status("srv not connected");
		
		usleep(pausemicro);	
		DEBUG_STREAM << "plcsrvthread::run() trying to reconnect" << endl;
		t_PLCaccess->plc_status = false;
		t_PLCaccess->set_status(MESG_LOST_CONNECTION);
	}
	
}




void plcsrvthread::Srv_Prepare(void)
{
	//creating server socket
   	if (( t_PLCaccess->sock = socket(AF_INET, SOCK_STREAM, 0)) < 0 ) {
		server_started=0;
   		t_PLCaccess->set_state(Tango::FAULT);
		t_PLCaccess->set_status(MESG_LOST_CONNECTION);
		t_PLCaccess->plc_status = false;
		DEBUG_STREAM << "plcsrvthread::run() srv sock creating failure";
		return;
	}
   	myname.sin_family = AF_INET;  
   	myname.sin_port = htons(t_PLCaccess->plc_port);  // plc_port=server port
	myname.sin_addr.s_addr = inet_addr(t_PLCaccess->srv_host.c_str()); 
	 
   	if (bind(t_PLCaccess->sock, (const sockaddr*)&myname, sizeof(myname) ) < 0 ) {
         	close (t_PLCaccess->sock); 
		server_started=0;
   		t_PLCaccess->set_state(Tango::FAULT);
		t_PLCaccess->set_status(MESG_LOST_CONNECTION);
		t_PLCaccess->plc_status = false;
		DEBUG_STREAM << "plcsrvthread::run() srv sock bind failure";
		return;
   	}
	
	//server socket listening
	
   	if ( listen ( t_PLCaccess->sock, MAX_NUM_SOCK ) < 0 ) { 
         	close (t_PLCaccess->sock); 
		server_started=0;
   		t_PLCaccess->set_state(Tango::FAULT);
		t_PLCaccess->set_status(MESG_LOST_CONNECTION);
		t_PLCaccess->plc_status = false;
		DEBUG_STREAM << "plcsrvthread::run() srv sock listen failure";
		return;
   	}
	
	while (!t_PLCaccess->abortflag) { 
		int adrlen = sizeof(struct sockaddr);	
		server_started=1; //the server is listening
		
	//assign the accepted socket to new_sd
	
      		if ( ( t_PLCaccess->new_sd = accept ( t_PLCaccess->sock, (sockaddr*)&addr, (socklen_t*)&adrlen ) ) < 0 ) {
   			t_PLCaccess->set_state(Tango::FAULT);
			t_PLCaccess->set_status(MESG_LOST_CONNECTION);
			DEBUG_STREAM << "plcsrvthread::run() srv sock accept failure";
			t_PLCaccess->plc_status = false;
      		}
		else{//connection established
			t_PLCaccess->set_state(Tango::ON);
			t_PLCaccess->set_status("accepted connection");
			DEBUG_STREAM << "plcsrvthread::run() accepted connection";
	
			errcount =0;
			int totcount = 0;
//TOPUP
			int byte_pos = -1;
			int c_buf_end = -1;
			int intermed = -1;
			float value = -1;
			int svalue = 0;
			unsigned short int buf4[2];
			time_t ll;
			int32_t mm;
//TOPUP
			
        		do {
             		memset (buf,0,BUF_LEN);
         // read message from remote client
	    
            		if (( cnt = read (t_PLCaccess->new_sd, buf, BUF_LEN)) < 0 ) {
				t_PLCaccess->set_state(Tango::FAULT);
				t_PLCaccess->set_status(MESG_LOST_CONNECTION);
				DEBUG_STREAM << "plcsrvthread::run() read failed";
				t_PLCaccess->plc_status = false;
				break; 
            		}
            		else
            		if (cnt == 0) {
			// no messages from plc
				DEBUG_STREAM << "plcsrvthread::run() no messages from plc";
				
				//now saving the old timestamp before overwriting
					t_PLCaccess->old_tst50.year = t_PLCaccess->message.year;
					t_PLCaccess->old_tst50.month = t_PLCaccess->message.month;
					t_PLCaccess->old_tst50.day = t_PLCaccess->message.day;
					t_PLCaccess->old_tst50.hour = t_PLCaccess->message.hour;
					t_PLCaccess->old_tst50.min = t_PLCaccess->message.min;
					t_PLCaccess->old_tst50.sec = t_PLCaccess->message.sec;
					t_PLCaccess->old_tst50.msec = (((uint16_t)t_PLCaccess->message.msec)<<4)|(((uint16_t)(t_PLCaccess->message.wday)&0x00ff)>>4);
					t_PLCaccess->old_tst50.wday = ((t_PLCaccess->message.wday))&0x000f;

               			continue; 
            		}
            		else { //reading ok
			// messages ok from plc
				DEBUG_STREAM << "plcsrvthread::run() msg len: " <<cnt;
				t_PLCaccess->plc_status = true;
				//u_short btype = ((u_short)buf[0])>0?((u_short)buf[0]):((u_short)buf[1]);
				short *type = (short *)&buf[0];
				short btype = ntohs(*type);
				DEBUG_STREAM << "plcsrvthread::run() received type:" << btype <<" length:"<< cnt;
				DEBUG_STREAM << "DB"<< btype <<": size ="<<cnt;
#if 0
				char *logbuf = (char *)&buf[0];
				for(int k=0;k<cnt;)
				{
					stringstream tmp;
					int g;
					tmp << "db??: "<<setw(3)<<setfill(' ')<<k<<" -> ";
					for(g=0; g<10; g++)
					{
						if(k+g>=cnt)
							break;
						tmp << " " <<hex<<setw(2)<<setfill(' ')<< (int)(unsigned char)logbuf[k+g];
					}
					k+=g;
					if(k<cnt)
					{
						tmp << " |  "<<dec<<setw(3)<<setfill(' ')<<k<<hex<<" -> ";
						for(g=0; g<10; g++)
						{
							if(k+g>=cnt)
								break;
							tmp << " " <<hex<<setw(2)<<setfill(' ')<< (int)(unsigned char)logbuf[k+g];
						}
						k+=g;
					}
					DEBUG_STREAM<<tmp.str()<<dec<<endl;
				}
#endif

				switch(btype){
				
				case (50):
				{
					cnt2=0;
					unsigned short int sbuf[(sizeof(PLCaccess_ns::db_50))/2];
             				memset (sbuf,0,(sizeof(PLCaccess_ns::db_50)));
		  			bcopy(&buf, &sbuf, (sizeof(PLCaccess_ns::db_50)));
					
					if(cnt<(ssize_t)(sizeof(PLCaccess_ns::db_50))){
						cnt2 = read (t_PLCaccess->new_sd, buf, sizeof(PLCaccess_ns::db_50)-cnt);
						bcopy(buf, &(sbuf[cnt/2]), cnt2);
					}
					
					DEBUG_STREAM << "DB50: size ="<<cnt+cnt2<< endl;
//#if 0
					char *logbuf = (char *)&sbuf[0];
					for(int k=0;k<cnt+cnt2;)
					{
						stringstream tmp;
						int g;
						tmp << "db50: "<<setw(3)<<setfill(' ')<<k<<" -> ";
						for(g=0; g<10; g++)
						{
							if(k+g>=cnt+cnt2)
								break;
							tmp << " " <<hex<<setw(2)<<setfill(' ')<< (int)(unsigned char)logbuf[k+g];
						}
						k+=g;
						if(k<cnt+cnt2)
						{
							tmp << " |  "<<dec<<setw(3)<<setfill(' ')<<k<<hex<<" -> ";
							for(g=0; g<10; g++)
							{
								if(k+g>=cnt+cnt2)
									break;
								tmp << " " <<hex<<setw(2)<<setfill(' ')<< (int)(unsigned char)logbuf[k+g];
							}
							k+=g;
						}
						DEBUG_STREAM<<tmp.str()<<dec<<endl;
					}
//#endif
						
					t_PLCaccess->set_state(Tango::ON);
					t_PLCaccess->set_status("message 50 read");
					for (int i=0;i<(int)((4*sizeof(u_short)+8*sizeof(u_char))/2); i++){
						if(i<(4/2) || i>=(12/2))
							sbuf[i] = ntohs(sbuf[i]);
					}
					
					
		  			bcopy(&sbuf, &buf, (sizeof(PLCaccess_ns::db_50)));
					
					
				//now saving the old timestamp before overwriting
					t_PLCaccess->old_tst50.year = (t_PLCaccess->message.year);
					t_PLCaccess->old_tst50.month = (t_PLCaccess->message.month);
					t_PLCaccess->old_tst50.day = (t_PLCaccess->message.day);
					t_PLCaccess->old_tst50.hour = (t_PLCaccess->message.hour);
					t_PLCaccess->old_tst50.min = (t_PLCaccess->message.min);
					t_PLCaccess->old_tst50.sec = (t_PLCaccess->message.sec);
					t_PLCaccess->old_tst50.msec = ((((uint16_t)t_PLCaccess->message.msec))<<4)|((((uint16_t)(t_PLCaccess->message.wday))&0x00ff)>>4);
					t_PLCaccess->old_tst50.wday = ((t_PLCaccess->message.wday))&0x000f;

					
             				memset (&t_PLCaccess->message,0,(sizeof(PLCaccess_ns::db_50)));
				//saving old message
		  			bcopy(&buf, &t_PLCaccess->message, (sizeof(PLCaccess_ns::db_50)));

					DEBUG_STREAM << "plctimingthread::" << __func__<< ": db 50 message time: -> Y=" <<hex<< (int)t_PLCaccess->message.year << ", M=" << (int)t_PLCaccess->message.month << ", D=" << (int)t_PLCaccess->message.day << ", h=" << (int)t_PLCaccess->message.hour << ", m=" << (int)t_PLCaccess->message.min << ", s=" << (int)t_PLCaccess->message.sec << ", ms=" << (int)t_PLCaccess->message.msec << " wd=" << (int)t_PLCaccess->message.wday <<dec;
					
					t_PLCaccess->tst50.year = (t_PLCaccess->message.year);
					t_PLCaccess->tst50.month = (t_PLCaccess->message.month);
					t_PLCaccess->tst50.day = (t_PLCaccess->message.day);
					t_PLCaccess->tst50.hour = (t_PLCaccess->message.hour);
					t_PLCaccess->tst50.min = (t_PLCaccess->message.min);
					t_PLCaccess->tst50.sec = (t_PLCaccess->message.sec);
					t_PLCaccess->tst50.msec = ((((uint16_t)t_PLCaccess->message.msec))<<4)|((((uint16_t)(t_PLCaccess->message.wday))&0x00ff)>>4);
					t_PLCaccess->tst50.wday = ((t_PLCaccess->message.wday))&0x000f;
			//		t_PLCaccess->tofile(50, cnt+cnt2);
					
					write_access_to_deque();

					break;
				}
				case (51):
					cnt2=0;
					unsigned short int sbuf2[(sizeof(PLCaccess_ns::db_51))];
             				memset (sbuf2,0,(sizeof(PLCaccess_ns::db_51)));
		  			bcopy(buf, sbuf2, cnt);
					
					totcount = cnt;
					while(totcount<(int)(sizeof(PLCaccess_ns::db_51))){
						DEBUG_STREAM << "plcsrvthread::run() db51 too short: " <<totcount<< "(<"<<sizeof(PLCaccess_ns::db_51)<<")";
						cnt2 = read (t_PLCaccess->new_sd, buf, sizeof(PLCaccess_ns::db_51)-totcount);
						bcopy(buf, &(sbuf2[totcount/2]), cnt2);
						totcount += cnt2;
						DEBUG_STREAM << "plcsrvthread::run() db51 too short: ... reading again -> " << totcount;
					}
					if(totcount>(int)(sizeof(PLCaccess_ns::db_51))){
						//over db53 size
						DEBUG_STREAM << "plcsrvthread::run() db51 wrong message length: " <<totcount<< "(>"<<sizeof(PLCaccess_ns::db_51)<<")";
						//printf( "plcsrvthread::Srv_Prepare() db51 wrong message length: %d\n", totcount);
					}
					else{//the size is right
						
//#if 0
						char *logbuf = (char *)&sbuf2[0];
						for(int k=0;k<cnt+cnt2;)
						{
							stringstream tmp;
							int g;
							tmp << "plc) db51: "<<setw(3)<<setfill(' ')<<k<<" -> ";
							for(g=0; g<10; g++)
							{
								if(k+g>=cnt+cnt2)
									break;
								tmp << " " <<hex<<setw(2)<<setfill(' ')<< (int)(unsigned char)logbuf[k+g];
							}
							k+=g;
							if(k<cnt+cnt2)
							{
								tmp << " |  "<<dec<<setw(3)<<setfill(' ')<<k<<hex<<" -> ";
								for(g=0; g<10; g++)
								{
									if(k+g>=cnt+cnt2)
										break;
									tmp << " " <<hex<<setw(2)<<setfill(' ')<< (int)(unsigned char)logbuf[k+g];
								}
								k+=g;
							}
							DEBUG_STREAM<<tmp.str()<<dec<<endl;
						}
//#endif
						
						
						for (int i=0; i<(int)((sizeof(PLCaccess_ns::db_51))/2); i++){
							if(i<(4/2) || i>=(12/2))
								sbuf2[i] = ntohs(sbuf2[i]);
						}
//#if 0
						logbuf = (char *)&sbuf2[0];
						for(int k=0;k<cnt+cnt2;)
						{
							stringstream tmp;
							int g;
							tmp << "ntohs) db51: "<<setw(3)<<setfill(' ')<<k<<" -> ";
							for(g=0; g<10; g++)
							{
								if(k+g>=cnt+cnt2)
									break;
								tmp << " " <<hex<<setw(2)<<setfill(' ')<< (int)(unsigned char)logbuf[k+g];
							}
							k+=g;
							if(k<cnt+cnt2)
							{
								tmp << " |  "<<dec<<setw(3)<<setfill(' ')<<k<<hex<<" -> ";
								for(g=0; g<10; g++)
								{
									if(k+g>=cnt+cnt2)
										break;
									tmp << " " <<hex<<setw(2)<<setfill(' ')<< (int)(unsigned char)logbuf[k+g];
								}
								k+=g;
							}
							DEBUG_STREAM<<tmp.str()<<dec<<endl;
						}
//#endif
		  				bcopy(sbuf2, &(t_PLCaccess->message2), (sizeof(PLCaccess_ns::db_51)));
						DEBUG_STREAM << "plcsrvthread::run() received (db 51) length: " <<totcount<< endl;
						DEBUG_STREAM << "plctimingthread::" << __func__<< ": db 51 message time: -> Y=" <<hex<< (int)t_PLCaccess->message2.year << ", M=" << (int)t_PLCaccess->message2.month << ", D=" << (int)t_PLCaccess->message2.day << ", h=" << (int)t_PLCaccess->message2.hour << ", m=" << (int)t_PLCaccess->message2.min << ", s=" << (int)t_PLCaccess->message2.sec << ", ms=" << (int)t_PLCaccess->message2.msec << " wd=" << (int)t_PLCaccess->message2.wday <<dec;
						/* 14/05/2010 LZ
						bcopy(sbuf2[108/2], &(t_PLCaccess->message2.max_long_time_i_lost), (sizeof(u_long)));
						t_PLCaccess->message2.max_long_time_i_lost = plc_swapl(t_PLCaccess->message2.max_long_time_i_lost);
						bcopy(sbuf2[112/2], &(t_PLCaccess->message2.max_short_time_i_lost), (sizeof(u_long)));
						t_PLCaccess->message2.max_short_time_i_lost = plc_swapl(t_PLCaccess->message2.max_short_time_i_lost);
						*/
						
						t_PLCaccess->set_state(Tango::ON);
						t_PLCaccess->set_status("message read");
					
						t_PLCaccess->tst51.year = (t_PLCaccess->message2.year);
						t_PLCaccess->tst51.month = (t_PLCaccess->message2.month);
						t_PLCaccess->tst51.day = (t_PLCaccess->message2.day);
						t_PLCaccess->tst51.hour = (t_PLCaccess->message2.hour);
						t_PLCaccess->tst51.min = (t_PLCaccess->message2.min);
						t_PLCaccess->tst51.sec = (t_PLCaccess->message2.sec);
						t_PLCaccess->tst51.msec = ((((uint16_t)t_PLCaccess->message2.msec))<<4)|((((uint16_t)(t_PLCaccess->message2.wday))&0x00ff)>>4);
						t_PLCaccess->tst51.wday = ((t_PLCaccess->message2.wday))&0x000f;
					
						for (int i=0; i<NUM_DATA_BLK; i++){
							t_PLCaccess->message2.blk[i] = plc_swap(t_PLCaccess->message2.blk[i]);
						}
						
//#if 0
						logbuf = (char *)&(t_PLCaccess->message2);
						for(int k=0;k<cnt+cnt2;)
						{
							stringstream tmp;
							int g;
							tmp << "swap) db51: "<<setw(3)<<setfill(' ')<<k<<" -> ";
							for(g=0; g<10; g++)
							{
								if(k+g>=cnt+cnt2)
									break;
								tmp << " " <<hex<<setw(2)<<setfill(' ')<< (int)(unsigned char)logbuf[k+g];
							}
							k+=g;
							if(k<cnt+cnt2)
							{
								tmp << " |  "<<dec<<setw(3)<<setfill(' ')<<k<<hex<<" -> ";
								for(g=0; g<10; g++)
								{
									if(k+g>=cnt+cnt2)
										break;
									tmp << " " <<hex<<setw(2)<<setfill(' ')<< (int)(unsigned char)logbuf[k+g];
								}
								k+=g;
							}
							DEBUG_STREAM<<tmp.str()<<dec<<endl;
						}
//#endif
						
						t_PLCaccess->message2.msg_est_bo = plc_swapl(t_PLCaccess->message2.msg_est_bo);
						t_PLCaccess->message2.msg_est_inj = plc_swapl(t_PLCaccess->message2.msg_est_inj);
						t_PLCaccess->message2.msg_int_bo = plc_swapl(t_PLCaccess->message2.msg_int_bo);
						t_PLCaccess->message2.msg_int_inj = plc_swapl(t_PLCaccess->message2.msg_int_inj);

					//old signal management
					//old doors
					update_old_doors();

					//eme buttons
					update_eme_buttons();			

			t_PLCaccess->gun_trigger_on = (((t_PLCaccess->message2.blk[64])&0x00ff)&maskbits[0])==0?true:false;//inverted(gun off)
			t_PLCaccess->gun_trigger_interlock_abi = (((t_PLCaccess->message2.blk[109])&0x00ff)&maskbits[2])>>2==0?false:true;
			t_PLCaccess->gun_trigger_access_abi = ((((t_PLCaccess->message2.blk[6])&0xff00)>>8)&maskbits[7])>>7==0?false:true;
	
					//memo barr
					if((!((((t_PLCaccess->message2.blk[35])&0x00ff)&maskbits[7])>>7==0))){//in out error
						if((!((((t_PLCaccess->message2.blk[41])&0x00ff)&maskbits[0])==0))||(!((((t_PLCaccess->message2.blk[43])&0x00ff)&maskbits[0])==0))) {//lamps are flickering, but memo stores the information
							t_PLCaccess->memo_err_inout[0] = true;//in error
						}
						else if((!(((((t_PLCaccess->message2.blk[41])&0xff00)>>8)&maskbits[0])==0))|| (!(((((t_PLCaccess->message2.blk[43])&0xff00)>>8)&maskbits[0])==0))){
							if(!t_PLCaccess->memo_err_inout[0])t_PLCaccess->memo_err_inout[1] = true;//out error
						}//only if in error is false, because output always follows input
					}

					
					}
			//		t_PLCaccess->tofile(51, totcount);
					write_to_deque();
					break;
//				case (181):
				case (80):

//prepare swap buffer
					DEBUG_STREAM << "plcsrvthread::run() received db 80, len: " <<cnt;
					DEBUG_STREAM<<"waiting curr_msg len:"<< sizeof(PLCaccess_ns::topup_dbcurr);
					unsigned short int sbuf3[(sizeof(PLCaccess_ns::topup_dbcurr)/2)];
					memset (sbuf3,0,(sizeof(PLCaccess_ns::topup_dbcurr)));
//copy to swap buffer(not used)
					bcopy(&(buf[0]), &(sbuf3[0]), (sizeof(PLCaccess_ns::topup_dbcurr)));
					if(cnt>(int)(sizeof(PLCaccess_ns::topup_dbcurr))){
//longer messages are trimmed
						//over db size
						DEBUG_STREAM << "plcsrvthread::run() db80 wrong message length: "<<cnt<<"(>"<<sizeof(PLCaccess_ns::topup_dbcurr)<<")";
					}
//					else{//the size is right
					DEBUG_STREAM <<(int)buf[0]<<"-"<<(int)buf[1]<<endl;
					DEBUG_STREAM<<(int)buf[2]<<"-"<<(int)buf[3]<<"-"<<(int)buf[4]<<"-"<<(int)buf[5];
					DEBUG_STREAM<<(int)buf[6]<<"-"<<(int)buf[7]<<"-"<<(int)buf[8]<<"-"<<(int)buf[9];
//for heartbit reset
					t_PLCaccess->tst51.year = (buf[2]);
					t_PLCaccess->tst51.month = (buf[3]);
					t_PLCaccess->tst51.day = (buf[4]);
					t_PLCaccess->tst51.hour = (buf[5]);
					t_PLCaccess->tst51.min = (buf[6]);
					t_PLCaccess->tst51.sec = (buf[7]);
					t_PLCaccess->tst51.msec = ((((uint16_t)buf[7]))<<4)|((((uint16_t)(buf[7]))&0x00ff)>>4);
					t_PLCaccess->tst51.wday = ((buf[7]))&0x000f;

//copy to structure
					t_PLCaccess->topup_sem = 1;//semaphore
					bcopy(&(buf[0]), &(t_PLCaccess->message_curr), (sizeof(PLCaccess_ns::topup_dbcurr)));//new
					t_PLCaccess->topup_sem = 0;//semaphore

					memset(&buf4[0],0,4);
					bcopy(&(t_PLCaccess->message_curr.nshot1), &(buf4[0]), 4);
					buf4[0] = plc_swap(buf4[0]);
					buf4[1] = plc_swap(buf4[1]);
					bcopy(&(buf4[0]), &svalue, 4);
					svalue = plc_swapl(svalue);
					t_PLCaccess->shot_number = svalue;
					t_PLCaccess->log_db_80.nshot = svalue;
					c_buf_end = svalue%CURR_BUF_XLEN;
					for(int k=0;k<TOPUP_BLOCK_LEN;k++){
						byte_pos = k*4;
						memset(&buf4[0],0,4);
						bcopy(&(t_PLCaccess->message_curr.blk.c0[byte_pos]), &(buf4[0]), 4);
				//			bcopy(&(raw_buf[byte_pos]), &(buf4[0]), 4);
						buf4[0] = plc_swap(buf4[0]);
						buf4[1] = plc_swap(buf4[1]);
						bcopy(&(buf4[0]), &intermed, 4);
						intermed = plc_swapl(intermed);
						bcopy(&intermed, &value, 4);
						switch(k){
							case 0:
								t_PLCaccess->c0[c_buf_end] = value;
								t_PLCaccess->log_db_80.c[0] = value;
								t_PLCaccess->c_meas[0] = value;
							break;
							case 1:
								t_PLCaccess->c1[c_buf_end] = value;
								t_PLCaccess->log_db_80.c[1] = value;
								t_PLCaccess->c_meas[1] = value;
							break;
							case 2:
								t_PLCaccess->c2[c_buf_end] = value;
								t_PLCaccess->log_db_80.c[2] = value;
								t_PLCaccess->c_meas[2] = value;
							break;
							case 3:
								t_PLCaccess->c3[c_buf_end] = value;
								t_PLCaccess->log_db_80.c[3] = value;
								t_PLCaccess->c_meas[3] = value;
							break;
							case 4:
								t_PLCaccess->c4[c_buf_end] = value;
								t_PLCaccess->log_db_80.c[4] = value;
								t_PLCaccess->c_meas[4] = value;
							break;
							case 5:
								t_PLCaccess->c5[c_buf_end] = value;
								t_PLCaccess->log_db_80.c[5] = value;
								t_PLCaccess->c_meas[5] = value;
							break;
							case 6:
								t_PLCaccess->c6[c_buf_end] = value;
								t_PLCaccess->log_db_80.c[6] = value;
								t_PLCaccess->c_meas[6] = value;
								t_PLCaccess->curr_lost_short_term = value;
							break;
							case 7:
								t_PLCaccess->c7[c_buf_end] = value;
								t_PLCaccess->log_db_80.c[7] = value;
								t_PLCaccess->c_meas[7] = value;
								t_PLCaccess->curr_lost_long_term = value;
							break;
							case 8:
								t_PLCaccess->r8[c_buf_end] = value;
								t_PLCaccess->log_db_80.c[8] = value;
								t_PLCaccess->c_meas[8] = value;
							break;
						}
					}

					ll = t_PLCaccess->calc_timeval(
								(buf[2]),
								(buf[3]),
								(buf[4]),
								(buf[5]),
								(buf[6]),
								(buf[7]),
								(buf[9])&0x000f
								);
					mm = t_PLCaccess->calc_time_ms((buf[8]),
								(buf[9])
								);
					t_PLCaccess->d0[c_buf_end] = ((double)mm)/1000;
					t_PLCaccess->d0[c_buf_end] += ll;
					t_PLCaccess->log_db_80.topup_tst = t_PLCaccess->d0[c_buf_end];
// lz 07/12/2009
char out_buf[200];
sprintf(out_buf, "%02x %02x %02x %02x  %02x %02x %02x %02x  %03d, total: %20.6f", buf[2],buf[3],buf[4],buf[5],buf[6],buf[7],buf[8],buf[9], (int)mm, t_PLCaccess->d0[c_buf_end]);
// cout << out_buf << ", ll: " << ll << ", mm: " << mm << endl;

					write_topup_to_deque();
					break;
					
				default:
				{
					if(t_PLCaccess->echoreq != 0){//if there's a pendinq request
						unsigned short int sbuf3[(sizeof(PLCaccess_ns::db_12x))];
						memset (sbuf3,0,(sizeof(PLCaccess_ns::db_12x)));
						bcopy(&buf, &sbuf3, (sizeof(PLCaccess_ns::db_12x)));
						totcount = cnt;
						while(totcount<(int)(sizeof(PLCaccess_ns::db_12x))){
							cnt2 = read (t_PLCaccess->new_sd, buf, sizeof(PLCaccess_ns::db_12x)-totcount);
							bcopy(&buf, &(sbuf3[totcount/2]), cnt2);
							totcount += cnt2;
						}
						
						DEBUG_STREAM << "DB"<<btype<<": size ="<<totcount;
#if 0
						char *logbuf = (char *)&sbuf3[0];
						for(int k=0;k<totcount;)
						{
							stringstream tmp;
							int g;
							tmp << "db??: "<<setw(3)<<setfill(' ')<<k<<" -> ";
							for(g=0; g<10; g++)
							{
								if(k+g>=totcount)
									break;
								tmp << " " <<hex<<setw(2)<<setfill(' ')<< (int)(unsigned char)logbuf[k+g];
							}
							k+=g;
							if(k<totcount)
							{
								tmp << " |  "<<dec<<setw(3)<<setfill(' ')<<k<<hex<<" -> ";
								for(g=0; g<10; g++)
								{
									if(k+g>=totcount)
										break;
									tmp << " " <<hex<<setw(2)<<setfill(' ')<< (int)(unsigned char)logbuf[k+g];
								}
								k+=g;
							}
							DEBUG_STREAM<<tmp.str()<<dec<<endl;
						}
#endif
						
						if(totcount>(int)(sizeof(PLCaccess_ns::db_12x))){
							//over db12x size
							DEBUG_STREAM << "plcsrvthread::run() expected names db:wrong len: " <<totcount<< endl;
				//			t_PLCaccess->tofile(0, totcount);
						}
						else{//the size is right
							if(t_PLCaccess->echoreq == 121){
								memset (&t_PLCaccess->ronda_names,0,(sizeof(PLCaccess_ns::db_12x)));
								bcopy(&sbuf3, &t_PLCaccess->ronda_names, (sizeof(PLCaccess_ns::db_12x)));
								DEBUG_STREAM << "plcsrvthread::run() received db " << t_PLCaccess->echoreq << " btype="<<btype<<" sizeof(PLCaccess_ns::db_12x)="<<sizeof(PLCaccess_ns::db_12x) << endl;
								t_PLCaccess->rondanames_ok = true;//update ok
				//				t_PLCaccess->tofile(121, totcount);
							}
							else
							if(t_PLCaccess->echoreq == 122){
								memset (&t_PLCaccess->ctrl_names,0,(sizeof(PLCaccess_ns::db_12x)));
								bcopy(&sbuf3, &t_PLCaccess->ctrl_names, (sizeof(PLCaccess_ns::db_12x)));
								DEBUG_STREAM << "plcsrvthread::run() received db " << t_PLCaccess->echoreq <<" btype="<<btype<<" sizeof(PLCaccess_ns::db_12x)="<<sizeof(PLCaccess_ns::db_12x) << endl;
								t_PLCaccess->ctrlnames_ok = true;//update ok
							}
						}
						t_PLCaccess->echoreq = 0;
					}
					else{
						DEBUG_STREAM << "plcsrvthread::run() wrong message length: " <<totcount<< " type="<<btype;
					}
					break;
				}
				}

            		}  // end of message-print else 
         		  // end of do loop statement 
         		}while ((cnt > 0)&&(!t_PLCaccess->abortflag));  // do loop condition 
			}//end of accept else
  	}  // end of while (1) 
	server_started=0;
	return;
	
}

void plcsrvthread::update_old_doors(){
	if(!((((t_PLCaccess->message2.blk[32]))&maskbits[0])>>0==0)){//ronda booster
		t_PLCaccess->old_doors_all[3] = true; //when ronda is ok, closed doors become white
		t_PLCaccess->old_doors_all[8] = true; 
	}
	if(!((((t_PLCaccess->message2.blk[32]))&maskbits[1])>>1==0)){//ronda dx
		t_PLCaccess->old_doors_all[10] = true; 
		t_PLCaccess->old_doors_all[13] = true; 
		t_PLCaccess->old_doors_all[14] = true; 
		t_PLCaccess->old_doors_all[15] = true; 
	}
	if(!((((t_PLCaccess->message2.blk[32]))&maskbits[2])>>2==0)){//ronda sx
		t_PLCaccess->old_doors_all[9] = true; 
		t_PLCaccess->old_doors_all[4] = true; 
		t_PLCaccess->old_doors_all[5] = true; 
		t_PLCaccess->old_doors_all[7] = true; 
		t_PLCaccess->old_doors_all[6] = true; 
		t_PLCaccess->old_doors_all[12] = true; 
		t_PLCaccess->old_doors_all[11] = true; 
	}
	if(!((((t_PLCaccess->message2.blk[32]))&maskbits[3])>>3==0)){//ronda chiostrina
		t_PLCaccess->old_doors_all[16] = true; 
		t_PLCaccess->old_doors_all[17] = true; 
		t_PLCaccess->old_doors_all[18] = true; 
	}
	if(!((((t_PLCaccess->message2.blk[32]))&maskbits[4])>>4==0)){//ronda tetto
		t_PLCaccess->old_doors_all[19] = true; 
		t_PLCaccess->old_doors_all[15] = true; 
	}

	for(int j=0;j<3;j++){
		if(((((t_PLCaccess->message2.blk[55])&0xff00)>>8)&maskbits[j+5])>>(j+5)==0)t_PLCaccess->old_doors_all[j] = false;
	}
	for(int j=0;j<5;j++){
		if((((t_PLCaccess->message2.blk[56])&0x00ff)&maskbits[j])>>j==0)t_PLCaccess->old_doors_all[3+j] = false;
	}
	if((((t_PLCaccess->message2.blk[60])&0x00ff)&maskbits[0])==0)t_PLCaccess->old_doors_all[8] = false;
	if((((t_PLCaccess->message2.blk[60])&0x00ff)&maskbits[7])>>7==0)t_PLCaccess->old_doors_all[10] = false;
	if(((((t_PLCaccess->message2.blk[60])&0xff00)>>8)&maskbits[0])==0)t_PLCaccess->old_doors_all[9] = false;
	if((((t_PLCaccess->message2.blk[70])&0x00ff)&maskbits[0])==0)t_PLCaccess->old_doors_all[11] = false;
	if((((t_PLCaccess->message2.blk[70])&0x00ff)&maskbits[1])>>1==0)t_PLCaccess->old_doors_all[12] = false;
	for(int j=0;j<3;j++){
		if((((t_PLCaccess->message2.blk[74])&0x00ff)&maskbits[j])>>j==0)t_PLCaccess->old_doors_all[j+13] = false;
	}
	if((((t_PLCaccess->message2.blk[93])&0x00ff)&maskbits[2])>>2==0)t_PLCaccess->old_doors_all[16] = false;
	if((((t_PLCaccess->message2.blk[101])&0x00ff)&maskbits[1])>>1==0)t_PLCaccess->old_doors_all[17] = false;
	if((((t_PLCaccess->message2.blk[105])&0x00ff)&maskbits[1])>>1==0)t_PLCaccess->old_doors_all[18] = false;
	if((((t_PLCaccess->message2.blk[105])&0x00ff)&maskbits[2])>>2==0)t_PLCaccess->old_doors_all[19] = false;
	for(int j=0;j<4;j++){
		if(((((t_PLCaccess->message2.blk[34])&0xff00)>>8)&maskbits[j])>>j==0)t_PLCaccess->old_doors_all[j+20] =false;
	}
}

void plcsrvthread::update_eme_buttons(){
	if(((((t_PLCaccess->message2.blk[6]))&maskbits[4])>>4==0)){//if NOT(ACK_REQ), ack already done
		for(int j=0;j<NUM_BIT;j++){
			t_PLCaccess->old_eme_buttons[j] = true;
		}
	}
	if((((t_PLCaccess->message2.blk[60])&0x00ff)&maskbits[1])>>1==0)t_PLCaccess->old_eme_buttons[0] = false;
	if((((t_PLCaccess->message2.blk[60])&0x00ff)&maskbits[2])>>2==0)t_PLCaccess->old_eme_buttons[1] = false;
	if((((t_PLCaccess->message2.blk[79])&0x00ff)&maskbits[0])==0)t_PLCaccess->old_eme_buttons[3] = false;
	if((((t_PLCaccess->message2.blk[85])&0x00ff)&maskbits[0])==0)t_PLCaccess->old_eme_buttons[4] = false;
	if((((t_PLCaccess->message2.blk[93])&0x00ff)&maskbits[0])==0)t_PLCaccess->old_eme_buttons[5] = false;
	if((((t_PLCaccess->message2.blk[93])&0x00ff)&maskbits[1])>>1==0)t_PLCaccess->old_eme_buttons[8] = false;
	if((((t_PLCaccess->message2.blk[97])&0x00ff)&maskbits[0])==0)t_PLCaccess->old_eme_buttons[6] = false;
	if((((t_PLCaccess->message2.blk[101])&0x00ff)&maskbits[0])==0)t_PLCaccess->old_eme_buttons[7] = false;
	if((((t_PLCaccess->message2.blk[105])&0x00ff)&maskbits[0])==0)t_PLCaccess->old_eme_buttons[2] = false;
	if((((t_PLCaccess->message2.blk[113])&0x00ff)&maskbits[0])==0)t_PLCaccess->old_eme_buttons[9] = false;
}

void plcsrvthread::write_to_deque(){


//saving message to fifo list
	t_PLCaccess->mutex->lock();

	t_PLCaccess->mesg_list_51.push_back(t_PLCaccess->message2);

	t_PLCaccess->mutex->unlock();


}

void plcsrvthread::write_access_to_deque(){


//saving message to fifo list
	t_PLCaccess->mutex->lock();

	t_PLCaccess->mesg_list_50.push_back(t_PLCaccess->message);

	t_PLCaccess->mutex->unlock();


}

void plcsrvthread::write_topup_to_deque(){


//saving message to fifo list
	t_PLCaccess->mutex->lock();

	t_PLCaccess->mesg_list_80.push_back(t_PLCaccess->log_db_80);

	t_PLCaccess->mutex->unlock();


}

uint16_t plcsrvthread::plc_swap(uint16_t in)
{
	//in: ABCD out: DCBA
//	return (((in&0x000f)<<12)|(((in&0x00ff)>>4)<<8)|(((in>>8)&0x000f)<<4)|(in>>12));
	//in: ABCD out: CDAB
	return ((in>>8)|((in&0x00ff)<<8));
}

uint32_t plcsrvthread::plc_swapl(uint32_t in)
{
	//in: ABCD out: DCBA
//	return (((in&0x000f)<<12)|(((in&0x00ff)>>4)<<8)|(((in>>8)&0x000f)<<4)|(in>>12));
	//in: ABCD out: CDAB
	return ((in>>16)|((in&0x0000ffff)<<16));
}

#if 0
time_t plcsrvthread::calc_timeval(u_char month,u_char year,u_char hour,u_char day,u_char sec,u_char min,u_char wday,u_char msec)
{
	char buffer [10];
	tm t2;
        time_t tn;

	
        memset (buffer,0,10);
	sprintf (buffer, "%x", sec);
	t2.tm_sec = atoi(buffer);
        memset (buffer,0,10);
	sprintf (buffer, "%x", min);
	t2.tm_min = atoi(buffer);
        memset (buffer,0,10);
	sprintf (buffer, "%x", hour);
	t2.tm_hour = atoi(buffer);
        memset (buffer,0,10);
	sprintf (buffer, "%x", day);
	t2.tm_mday = atoi(buffer);
        memset (buffer,0,10);
	sprintf (buffer, "%x", month);
	t2.tm_mon = atoi(buffer)-1;
        memset (buffer,0,10);
	sprintf (buffer, "%x", year);
	t2.tm_year = atoi(buffer)+100;
        memset (buffer,0,10);
	sprintf (buffer, "%x", wday);
	t2.tm_wday = atoi(buffer)-1;

	//0: consider time to convert never dst, time converted automatically adjusted with dst
	//-1: consider time to convert already ok with dst, so no adjustment applied by mktime
	t2.tm_isdst = 0/*-1*/;
	
	DEBUG_STREAM << __func__<<": hour=0x"<<hex<<(int)hour<<" min=0x"<<(int)min<<" sec=0x"<<(int)sec;
	tn = mktime(&t2)/*-timezone*/;//with -timezone as if GMT
	DEBUG_STREAM << __func__<<": --> tn="<<tn<<" timezone="<<timezone<<" t2.tm_isdst="<<(int)t2.tm_isdst;
	if(t2.tm_isdst == 1)
	{
		DEBUG_STREAM << __func__<<": --> ORA SOLARE! corrected to hour="<<(int)t2.tm_hour<<" min="<<(int)t2.tm_min<<" sec="<<(int)t2.tm_sec<<endl;
	}
	return tn;
}

int32_t plcsrvthread::calc_time_ms(u_char wday,u_char msec)
{
	char buffer [10];
	int32_t d = 0;
		long ms_new;
		int c1, c2;
		ms_new = 0;
		memset (buffer,0,10);
		sprintf (buffer, "%x", msec);
		c1 = atoi(buffer);
		memset (buffer,0,10);
		wday = wday >> 4;
		sprintf (buffer, "%x", wday);
		c2 = atoi(buffer);
		ms_new = c1*10+c2;
		d = ms_new;
	
	return d;

}
#endif



